/*
    MPU6050 Triple Axis Gyroscope & Accelerometer. Pitch & Roll Accelerometer Example.
    Read more: http://www.jarzebski.pl/arduino/czujniki-i-sensory/3-osiowy-zyroskop-i-akcelerometr-mpu6050.html
    GIT: https://github.com/jarzebski/Arduino-MPU6050
    Web: http://www.jarzebski.pl
    (c) 2014 by Korneliusz Jarzebski
*/

#include <Wire.h>
#include <MPU6050.h>

MPU6050 mpu;

int pinder = 4;
int pincen = 5;
int pinizq = 6;
void setup() 
{
  Serial.begin(9600);
  pinMode(pinder,OUTPUT);
  pinMode(pincen,OUTPUT);
  pinMode(pinizq,OUTPUT);
 

  

  Serial.println("Initialize MPU6050");

  while(!mpu.begin(MPU6050_SCALE_2000DPS, MPU6050_RANGE_2G))
  {
    Serial.println("Could not find a valid MPU6050 sensor, check wiring!");
    delay(500);
  }
}

void loop()
{
  // Read normalized values 
  Vector normAccel = mpu.readNormalizeAccel();

  // Calculate Pitch & Roll
  int pitch = (atan2(normAccel.XAxis, sqrt(normAccel.YAxis*normAccel.YAxis + normAccel.ZAxis*normAccel.ZAxis))*180.0)/M_PI;
  int roll = -(atan2(normAccel.YAxis, sqrt(normAccel.XAxis*normAccel.XAxis + normAccel.ZAxis*normAccel.ZAxis))*180.0)/M_PI;

//derecha
  if((pitch >= 45 and pitch <= 135) and (roll >= -30 and roll <= 30)) {
  digitalWrite(pinder,HIGH);
  delay(200);
  digitalWrite(pinder,LOW);
  delay(200);  
//  digitalWrite(13,HIGH);
//  delay(200);
//  digitalWrite(13,LOW);
//  delay(200);  
 }
 //izquierda
  else if((pitch >= -20 and pitch <= 30) and (roll >= 60 and roll <= 100)) {
digitalWrite(pinizq,HIGH);
  delay(200);
 digitalWrite(pinizq,LOW);
  delay(200);  
//  digitalWrite(13,HIGH);
//  delay(100);
// digitalWrite(13,LOW);
//  delay(100);
  }
  else {
digitalWrite(pincen,HIGH);
  delay(300);
 digitalWrite(pincen,LOW);
  delay(300);  
//  digitalWrite(13,HIGH);
//  delay(100);
// digitalWrite(13,LOW);
//  delay(100);
  }

  // Output
  Serial.print(" Pitch = ");
  Serial.print(pitch);
  Serial.print(" Roll = ");
  Serial.print(roll);
  
  Serial.println();
  
  delay(100);
}
